/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/include/Parameters.h"
#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/include/Types.h"
#include <sstream>
using namespace std;

namespace morpheo                    {
namespace behavioural {
namespace core {
namespace multi_execute_loop {
namespace execute_loop {
namespace multi_read_unit {
namespace read_unit {
namespace read_queue {


  string Parameters::msg_error(void)
  {
    log_printf(FUNC,Read_queue,"msg_error","Begin");

    string msg = "";

    if (_size_queue < 2)
      {
        msg += "  - The read_queue must be have less a depth of 2";
        msg += "    * size_queue                      : " + toString(_size_queue)    + "\n";
      }
    

    return msg;

    log_printf(FUNC,Read_queue,"msg_error","End");
  };

}; // end namespace read_queue
}; // end namespace read_unit
}; // end namespace multi_read_unit
}; // end namespace execute_loop
}; // end namespace multi_execute_loop
}; // end namespace core

}; // end namespace behavioural
}; // end namespace morpheo              
